{
	"namespace": "end_force_meter",

	"end_force_meter_factory": {
		"type": "panel",
		"factory": {
			"name": "hud_title_text_factory",
			"control_ids": {
				"hud_title_text": "end_force_meter@end_force_meter.end_force_meter"
			}
		}
	},

	"meter_shake_in": {
        "anim_type": "offset",
        "duration": 0.075,
        "easing": "linear",
        "from": [ -6, 0 ],
        "to": [ -9, 0 ],
        "next": "@end_force_meter.meter_shake_out"
    },

	"meter_shake_out": {
        "anim_type": "offset",
        "duration": 0.15,
        "easing": "linear",
        "from": [ -9, 0 ],
        "to": [ -3, 0 ],
        "next": "@end_force_meter.meter_to_default"
    },

    "meter_to_default": {
        "anim_type": "offset",
        "duration": 0.075,
        "easing": "linear",
        "from": [ -3, 0 ],
        "to": [ -6, 0 ]
    },

	"end_force_meter": {
        "type": "panel",
        "$val": "$title_text",
        "$offset": [ -6, 0 ],
        "offset": "$offset",
        "anchor_from": "right_middle",
        "anchor_to": "right_middle",
        "size": [ "100%cm", "100%cm" ],
        "$visible": false,
        "visible": "$visible",
        "variables": [
            { "requires": "(not (($val - 'shake:true;') = $val))", "$offset": "@end_force_meter.meter_shake_in" },
            { "requires": "(not (($val - 'current') = $val))", "$visible": true }
        ],
        "controls": [
            { "end_force_meter_blank@end_force_meter_blank": {} }
        ]
    },

	"end_force_meter_blank": {
		"type": "image",
		"texture": "textures/ui/end_force_meter_blank",
		"size": [ 16, 116 ],
		"controls": [
			{
				"current@end_force_meter_root": {}
			}
		]
	},

	"end_force_meter_root": {
		"type": "panel",
		"size": [ 8, 100 ],
		"offset": [0, 4],
		"$val": "$title_text",
		"controls": [
			{
				"end_force_meter_current": {
					"type": "image",
					"texture": "textures/ui/end_force_meter_current",
					"size": [ "100%", "100%" ],
					"layer": 2,
					"clip_direction": "down",
					"clip_pixelperfect": false,
					"clip_ratio": "$clip_ratio",
					"$clip_ratio": 0.0,
					"variables": [
						{ "requires": "(not (($val - 'current:100;') = $val))", "$clip_ratio": 0 },
						{ "requires": "(not (($val - 'current:99;') = $val))", "$clip_ratio": 0.01 },
						{ "requires": "(not (($val - 'current:98;') = $val))", "$clip_ratio": 0.02 },
						{ "requires": "(not (($val - 'current:97;') = $val))", "$clip_ratio": 0.03 },
						{ "requires": "(not (($val - 'current:96;') = $val))", "$clip_ratio": 0.04 },
						{ "requires": "(not (($val - 'current:95;') = $val))", "$clip_ratio": 0.05 },
						{ "requires": "(not (($val - 'current:94;') = $val))", "$clip_ratio": 0.06 },
						{ "requires": "(not (($val - 'current:93;') = $val))", "$clip_ratio": 0.07 },
						{ "requires": "(not (($val - 'current:92;') = $val))", "$clip_ratio": 0.08 },
						{ "requires": "(not (($val - 'current:91;') = $val))", "$clip_ratio": 0.09 },
						{ "requires": "(not (($val - 'current:90;') = $val))", "$clip_ratio": 0.1 },
						{ "requires": "(not (($val - 'current:89;') = $val))", "$clip_ratio": 0.11 },
						{ "requires": "(not (($val - 'current:88;') = $val))", "$clip_ratio": 0.12 },
						{ "requires": "(not (($val - 'current:87;') = $val))", "$clip_ratio": 0.13 },
						{ "requires": "(not (($val - 'current:86;') = $val))", "$clip_ratio": 0.14 },
						{ "requires": "(not (($val - 'current:85;') = $val))", "$clip_ratio": 0.15 },
						{ "requires": "(not (($val - 'current:84;') = $val))", "$clip_ratio": 0.16 },
						{ "requires": "(not (($val - 'current:83;') = $val))", "$clip_ratio": 0.17 },
						{ "requires": "(not (($val - 'current:82;') = $val))", "$clip_ratio": 0.18 },
						{ "requires": "(not (($val - 'current:81;') = $val))", "$clip_ratio": 0.19 },
						{ "requires": "(not (($val - 'current:80;') = $val))", "$clip_ratio": 0.2 },
						{ "requires": "(not (($val - 'current:79;') = $val))", "$clip_ratio": 0.21 },
						{ "requires": "(not (($val - 'current:78;') = $val))", "$clip_ratio": 0.22 },
						{ "requires": "(not (($val - 'current:77;') = $val))", "$clip_ratio": 0.23 },
						{ "requires": "(not (($val - 'current:76;') = $val))", "$clip_ratio": 0.24 },
						{ "requires": "(not (($val - 'current:75;') = $val))", "$clip_ratio": 0.25 },
						{ "requires": "(not (($val - 'current:74;') = $val))", "$clip_ratio": 0.26 },
						{ "requires": "(not (($val - 'current:73;') = $val))", "$clip_ratio": 0.27 },
						{ "requires": "(not (($val - 'current:72;') = $val))", "$clip_ratio": 0.28 },
						{ "requires": "(not (($val - 'current:71;') = $val))", "$clip_ratio": 0.29 },
						{ "requires": "(not (($val - 'current:70;') = $val))", "$clip_ratio": 0.3 },
						{ "requires": "(not (($val - 'current:69;') = $val))", "$clip_ratio": 0.31 },
						{ "requires": "(not (($val - 'current:68;') = $val))", "$clip_ratio": 0.32 },
						{ "requires": "(not (($val - 'current:67;') = $val))", "$clip_ratio": 0.33 },
						{ "requires": "(not (($val - 'current:66;') = $val))", "$clip_ratio": 0.34 },
						{ "requires": "(not (($val - 'current:65;') = $val))", "$clip_ratio": 0.35 },
						{ "requires": "(not (($val - 'current:64;') = $val))", "$clip_ratio": 0.36 },
						{ "requires": "(not (($val - 'current:63;') = $val))", "$clip_ratio": 0.37 },
						{ "requires": "(not (($val - 'current:62;') = $val))", "$clip_ratio": 0.38 },
						{ "requires": "(not (($val - 'current:61;') = $val))", "$clip_ratio": 0.39 },
						{ "requires": "(not (($val - 'current:60;') = $val))", "$clip_ratio": 0.4 },
						{ "requires": "(not (($val - 'current:59;') = $val))", "$clip_ratio": 0.41 },
						{ "requires": "(not (($val - 'current:58;') = $val))", "$clip_ratio": 0.42 },
						{ "requires": "(not (($val - 'current:57;') = $val))", "$clip_ratio": 0.43 },
						{ "requires": "(not (($val - 'current:56;') = $val))", "$clip_ratio": 0.44 },
						{ "requires": "(not (($val - 'current:55;') = $val))", "$clip_ratio": 0.45 },
						{ "requires": "(not (($val - 'current:54;') = $val))", "$clip_ratio": 0.46 },
						{ "requires": "(not (($val - 'current:53;') = $val))", "$clip_ratio": 0.47 },
						{ "requires": "(not (($val - 'current:52;') = $val))", "$clip_ratio": 0.48 },
						{ "requires": "(not (($val - 'current:51;') = $val))", "$clip_ratio": 0.49 },
						{ "requires": "(not (($val - 'current:50;') = $val))", "$clip_ratio": 0.5 },
						{ "requires": "(not (($val - 'current:49;') = $val))", "$clip_ratio": 0.51 },
						{ "requires": "(not (($val - 'current:48;') = $val))", "$clip_ratio": 0.52 },
						{ "requires": "(not (($val - 'current:47;') = $val))", "$clip_ratio": 0.53 },
						{ "requires": "(not (($val - 'current:46;') = $val))", "$clip_ratio": 0.54 },
						{ "requires": "(not (($val - 'current:45;') = $val))", "$clip_ratio": 0.55 },
						{ "requires": "(not (($val - 'current:44;') = $val))", "$clip_ratio": 0.56 },
						{ "requires": "(not (($val - 'current:43;') = $val))", "$clip_ratio": 0.57 },
						{ "requires": "(not (($val - 'current:42;') = $val))", "$clip_ratio": 0.58 },
						{ "requires": "(not (($val - 'current:41;') = $val))", "$clip_ratio": 0.59 },
						{ "requires": "(not (($val - 'current:40;') = $val))", "$clip_ratio": 0.6 },
						{ "requires": "(not (($val - 'current:39;') = $val))", "$clip_ratio": 0.61 },
						{ "requires": "(not (($val - 'current:38;') = $val))", "$clip_ratio": 0.62 },
						{ "requires": "(not (($val - 'current:37;') = $val))", "$clip_ratio": 0.63 },
						{ "requires": "(not (($val - 'current:36;') = $val))", "$clip_ratio": 0.64 },
						{ "requires": "(not (($val - 'current:35;') = $val))", "$clip_ratio": 0.65 },
						{ "requires": "(not (($val - 'current:34;') = $val))", "$clip_ratio": 0.66 },
						{ "requires": "(not (($val - 'current:33;') = $val))", "$clip_ratio": 0.67 },
						{ "requires": "(not (($val - 'current:32;') = $val))", "$clip_ratio": 0.68 },
						{ "requires": "(not (($val - 'current:31;') = $val))", "$clip_ratio": 0.69 },
						{ "requires": "(not (($val - 'current:30;') = $val))", "$clip_ratio": 0.7 },
						{ "requires": "(not (($val - 'current:29;') = $val))", "$clip_ratio": 0.71 },
						{ "requires": "(not (($val - 'current:28;') = $val))", "$clip_ratio": 0.72 },
						{ "requires": "(not (($val - 'current:27;') = $val))", "$clip_ratio": 0.73 },
						{ "requires": "(not (($val - 'current:26;') = $val))", "$clip_ratio": 0.74 },
						{ "requires": "(not (($val - 'current:25;') = $val))", "$clip_ratio": 0.75 },
						{ "requires": "(not (($val - 'current:24;') = $val))", "$clip_ratio": 0.76 },
						{ "requires": "(not (($val - 'current:23;') = $val))", "$clip_ratio": 0.77 },
						{ "requires": "(not (($val - 'current:22;') = $val))", "$clip_ratio": 0.78 },
						{ "requires": "(not (($val - 'current:21;') = $val))", "$clip_ratio": 0.79 },
						{ "requires": "(not (($val - 'current:20;') = $val))", "$clip_ratio": 0.8 },
						{ "requires": "(not (($val - 'current:19;') = $val))", "$clip_ratio": 0.81 },
						{ "requires": "(not (($val - 'current:18;') = $val))", "$clip_ratio": 0.82 },
						{ "requires": "(not (($val - 'current:17;') = $val))", "$clip_ratio": 0.83 },
						{ "requires": "(not (($val - 'current:16;') = $val))", "$clip_ratio": 0.84 },
						{ "requires": "(not (($val - 'current:15;') = $val))", "$clip_ratio": 0.85 },
						{ "requires": "(not (($val - 'current:14;') = $val))", "$clip_ratio": 0.86 },
						{ "requires": "(not (($val - 'current:13;') = $val))", "$clip_ratio": 0.87 },
						{ "requires": "(not (($val - 'current:12;') = $val))", "$clip_ratio": 0.88 },
						{ "requires": "(not (($val - 'current:11;') = $val))", "$clip_ratio": 0.89 },
						{ "requires": "(not (($val - 'current:10;') = $val))", "$clip_ratio": 0.9 },
						{ "requires": "(not (($val - 'current:9;') = $val))", "$clip_ratio": 0.91 },
						{ "requires": "(not (($val - 'current:8;') = $val))", "$clip_ratio": 0.92 },
						{ "requires": "(not (($val - 'current:7;') = $val))", "$clip_ratio": 0.93 },
						{ "requires": "(not (($val - 'current:6;') = $val))", "$clip_ratio": 0.94 },
						{ "requires": "(not (($val - 'current:5;') = $val))", "$clip_ratio": 0.95 },
						{ "requires": "(not (($val - 'current:4;') = $val))", "$clip_ratio": 0.96 },
						{ "requires": "(not (($val - 'current:3;') = $val))", "$clip_ratio": 0.97 },
						{ "requires": "(not (($val - 'current:2;') = $val))", "$clip_ratio": 0.98 },
						{ "requires": "(not (($val - 'current:1;') = $val))", "$clip_ratio": 0.99 },
						{ "requires": "(not (($val - 'current:0;') = $val))", "$clip_ratio": 1 }
					]
				}
			},
			{
				"end_force_meter_previous": {
					"type": "image",
					"texture": "textures/ui/end_force_meter_previous",
					"size": [ 8, 100 ],
					"clip_direction": "down",
					"clip_pixelperfect": false,
					"clip_ratio": "$clip_ratio",
					"$clip_ratio": 0.0,
					"variables": [
						{ "requires": "(not (($val - 'previous:100;') = $val))", "$clip_ratio": 0 },
						{ "requires": "(not (($val - 'previous:99;') = $val))", "$clip_ratio": 0.01 },
						{ "requires": "(not (($val - 'previous:98;') = $val))", "$clip_ratio": 0.02 },
						{ "requires": "(not (($val - 'previous:97;') = $val))", "$clip_ratio": 0.03 },
						{ "requires": "(not (($val - 'previous:96;') = $val))", "$clip_ratio": 0.04 },
						{ "requires": "(not (($val - 'previous:95;') = $val))", "$clip_ratio": 0.05 },
						{ "requires": "(not (($val - 'previous:94;') = $val))", "$clip_ratio": 0.06 },
						{ "requires": "(not (($val - 'previous:93;') = $val))", "$clip_ratio": 0.07 },
						{ "requires": "(not (($val - 'previous:92;') = $val))", "$clip_ratio": 0.08 },
						{ "requires": "(not (($val - 'previous:91;') = $val))", "$clip_ratio": 0.09 },
						{ "requires": "(not (($val - 'previous:90;') = $val))", "$clip_ratio": 0.1 },
						{ "requires": "(not (($val - 'previous:89;') = $val))", "$clip_ratio": 0.11 },
						{ "requires": "(not (($val - 'previous:88;') = $val))", "$clip_ratio": 0.12 },
						{ "requires": "(not (($val - 'previous:87;') = $val))", "$clip_ratio": 0.13 },
						{ "requires": "(not (($val - 'previous:86;') = $val))", "$clip_ratio": 0.14 },
						{ "requires": "(not (($val - 'previous:85;') = $val))", "$clip_ratio": 0.15 },
						{ "requires": "(not (($val - 'previous:84;') = $val))", "$clip_ratio": 0.16 },
						{ "requires": "(not (($val - 'previous:83;') = $val))", "$clip_ratio": 0.17 },
						{ "requires": "(not (($val - 'previous:82;') = $val))", "$clip_ratio": 0.18 },
						{ "requires": "(not (($val - 'previous:81;') = $val))", "$clip_ratio": 0.19 },
						{ "requires": "(not (($val - 'previous:80;') = $val))", "$clip_ratio": 0.2 },
						{ "requires": "(not (($val - 'previous:79;') = $val))", "$clip_ratio": 0.21 },
						{ "requires": "(not (($val - 'previous:78;') = $val))", "$clip_ratio": 0.22 },
						{ "requires": "(not (($val - 'previous:77;') = $val))", "$clip_ratio": 0.23 },
						{ "requires": "(not (($val - 'previous:76;') = $val))", "$clip_ratio": 0.24 },
						{ "requires": "(not (($val - 'previous:75;') = $val))", "$clip_ratio": 0.25 },
						{ "requires": "(not (($val - 'previous:74;') = $val))", "$clip_ratio": 0.26 },
						{ "requires": "(not (($val - 'previous:73;') = $val))", "$clip_ratio": 0.27 },
						{ "requires": "(not (($val - 'previous:72;') = $val))", "$clip_ratio": 0.28 },
						{ "requires": "(not (($val - 'previous:71;') = $val))", "$clip_ratio": 0.29 },
						{ "requires": "(not (($val - 'previous:70;') = $val))", "$clip_ratio": 0.3 },
						{ "requires": "(not (($val - 'previous:69;') = $val))", "$clip_ratio": 0.31 },
						{ "requires": "(not (($val - 'previous:68;') = $val))", "$clip_ratio": 0.32 },
						{ "requires": "(not (($val - 'previous:67;') = $val))", "$clip_ratio": 0.33 },
						{ "requires": "(not (($val - 'previous:66;') = $val))", "$clip_ratio": 0.34 },
						{ "requires": "(not (($val - 'previous:65;') = $val))", "$clip_ratio": 0.35 },
						{ "requires": "(not (($val - 'previous:64;') = $val))", "$clip_ratio": 0.36 },
						{ "requires": "(not (($val - 'previous:63;') = $val))", "$clip_ratio": 0.37 },
						{ "requires": "(not (($val - 'previous:62;') = $val))", "$clip_ratio": 0.38 },
						{ "requires": "(not (($val - 'previous:61;') = $val))", "$clip_ratio": 0.39 },
						{ "requires": "(not (($val - 'previous:60;') = $val))", "$clip_ratio": 0.4 },
						{ "requires": "(not (($val - 'previous:59;') = $val))", "$clip_ratio": 0.41 },
						{ "requires": "(not (($val - 'previous:58;') = $val))", "$clip_ratio": 0.42 },
						{ "requires": "(not (($val - 'previous:57;') = $val))", "$clip_ratio": 0.43 },
						{ "requires": "(not (($val - 'previous:56;') = $val))", "$clip_ratio": 0.44 },
						{ "requires": "(not (($val - 'previous:55;') = $val))", "$clip_ratio": 0.45 },
						{ "requires": "(not (($val - 'previous:54;') = $val))", "$clip_ratio": 0.46 },
						{ "requires": "(not (($val - 'previous:53;') = $val))", "$clip_ratio": 0.47 },
						{ "requires": "(not (($val - 'previous:52;') = $val))", "$clip_ratio": 0.48 },
						{ "requires": "(not (($val - 'previous:51;') = $val))", "$clip_ratio": 0.49 },
						{ "requires": "(not (($val - 'previous:50;') = $val))", "$clip_ratio": 0.5 },
						{ "requires": "(not (($val - 'previous:49;') = $val))", "$clip_ratio": 0.51 },
						{ "requires": "(not (($val - 'previous:48;') = $val))", "$clip_ratio": 0.52 },
						{ "requires": "(not (($val - 'previous:47;') = $val))", "$clip_ratio": 0.53 },
						{ "requires": "(not (($val - 'previous:46;') = $val))", "$clip_ratio": 0.54 },
						{ "requires": "(not (($val - 'previous:45;') = $val))", "$clip_ratio": 0.55 },
						{ "requires": "(not (($val - 'previous:44;') = $val))", "$clip_ratio": 0.56 },
						{ "requires": "(not (($val - 'previous:43;') = $val))", "$clip_ratio": 0.57 },
						{ "requires": "(not (($val - 'previous:42;') = $val))", "$clip_ratio": 0.58 },
						{ "requires": "(not (($val - 'previous:41;') = $val))", "$clip_ratio": 0.59 },
						{ "requires": "(not (($val - 'previous:40;') = $val))", "$clip_ratio": 0.6 },
						{ "requires": "(not (($val - 'previous:39;') = $val))", "$clip_ratio": 0.61 },
						{ "requires": "(not (($val - 'previous:38;') = $val))", "$clip_ratio": 0.62 },
						{ "requires": "(not (($val - 'previous:37;') = $val))", "$clip_ratio": 0.63 },
						{ "requires": "(not (($val - 'previous:36;') = $val))", "$clip_ratio": 0.64 },
						{ "requires": "(not (($val - 'previous:35;') = $val))", "$clip_ratio": 0.65 },
						{ "requires": "(not (($val - 'previous:34;') = $val))", "$clip_ratio": 0.66 },
						{ "requires": "(not (($val - 'previous:33;') = $val))", "$clip_ratio": 0.67 },
						{ "requires": "(not (($val - 'previous:32;') = $val))", "$clip_ratio": 0.68 },
						{ "requires": "(not (($val - 'previous:31;') = $val))", "$clip_ratio": 0.69 },
						{ "requires": "(not (($val - 'previous:30;') = $val))", "$clip_ratio": 0.7 },
						{ "requires": "(not (($val - 'previous:29;') = $val))", "$clip_ratio": 0.71 },
						{ "requires": "(not (($val - 'previous:28;') = $val))", "$clip_ratio": 0.72 },
						{ "requires": "(not (($val - 'previous:27;') = $val))", "$clip_ratio": 0.73 },
						{ "requires": "(not (($val - 'previous:26;') = $val))", "$clip_ratio": 0.74 },
						{ "requires": "(not (($val - 'previous:25;') = $val))", "$clip_ratio": 0.75 },
						{ "requires": "(not (($val - 'previous:24;') = $val))", "$clip_ratio": 0.76 },
						{ "requires": "(not (($val - 'previous:23;') = $val))", "$clip_ratio": 0.77 },
						{ "requires": "(not (($val - 'previous:22;') = $val))", "$clip_ratio": 0.78 },
						{ "requires": "(not (($val - 'previous:21;') = $val))", "$clip_ratio": 0.79 },
						{ "requires": "(not (($val - 'previous:20;') = $val))", "$clip_ratio": 0.8 },
						{ "requires": "(not (($val - 'previous:19;') = $val))", "$clip_ratio": 0.81 },
						{ "requires": "(not (($val - 'previous:18;') = $val))", "$clip_ratio": 0.82 },
						{ "requires": "(not (($val - 'previous:17;') = $val))", "$clip_ratio": 0.83 },
						{ "requires": "(not (($val - 'previous:16;') = $val))", "$clip_ratio": 0.84 },
						{ "requires": "(not (($val - 'previous:15;') = $val))", "$clip_ratio": 0.85 },
						{ "requires": "(not (($val - 'previous:14;') = $val))", "$clip_ratio": 0.86 },
						{ "requires": "(not (($val - 'previous:13;') = $val))", "$clip_ratio": 0.87 },
						{ "requires": "(not (($val - 'previous:12;') = $val))", "$clip_ratio": 0.88 },
						{ "requires": "(not (($val - 'previous:11;') = $val))", "$clip_ratio": 0.89 },
						{ "requires": "(not (($val - 'previous:10;') = $val))", "$clip_ratio": 0.9 },
						{ "requires": "(not (($val - 'previous:9;') = $val))", "$clip_ratio": 0.91 },
						{ "requires": "(not (($val - 'previous:8;') = $val))", "$clip_ratio": 0.92 },
						{ "requires": "(not (($val - 'previous:7;') = $val))", "$clip_ratio": 0.93 },
						{ "requires": "(not (($val - 'previous:6;') = $val))", "$clip_ratio": 0.94 },
						{ "requires": "(not (($val - 'previous:5;') = $val))", "$clip_ratio": 0.95 },
						{ "requires": "(not (($val - 'previous:4;') = $val))", "$clip_ratio": 0.96 },
						{ "requires": "(not (($val - 'previous:3;') = $val))", "$clip_ratio": 0.97 },
						{ "requires": "(not (($val - 'previous:2;') = $val))", "$clip_ratio": 0.98 },
						{ "requires": "(not (($val - 'previous:1;') = $val))", "$clip_ratio": 0.99 },
						{ "requires": "(not (($val - 'previous:0;') = $val))", "$clip_ratio": 1 }
					]
				}
			}
		]
	}
}

